import { h } from "@stencil/core";
import { tableError } from "../../styles/parts";
export const TableErrorState = (props) => {
    const { columnSpan, errorMessage } = props;
    if (!columnSpan || !errorMessage) {
        return null;
    }
    return (h("tr", null, h("td", { class: "error-state", part: tableError, colSpan: columnSpan, "data-test-id": "table-error-state", style: { textAlign: 'center' } }, "An unexpected error occurred: ", errorMessage)));
};
